=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/freyja_0.9.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/freyja_0.9.5

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake

# Special rule for the target install/local
install/local/fast: install/local

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Only default component available"

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# The main all target
all: cmake_check_build_system
	cd /tmp/freyja_0.9.5 && $(CMAKE_COMMAND) -E cmake_progress_start /tmp/freyja_0.9.5/CMakeFiles $(CMAKE_ALL_PROGRESS)
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/all
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/freyja_0.9.5/CMakeFiles 0

# The main clean target
clean:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

# Convenience name for target.
libhel/CMakeFiles/deb.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/deb.dir/rule

# Convenience name for target.
deb: libhel/CMakeFiles/deb.dir/rule

# fast build rule for target.
deb/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/deb.dir/build.make libhel/CMakeFiles/deb.dir/build

# Convenience name for target.
libhel/CMakeFiles/hel-0.2.2.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/hel-0.2.2.dir/rule

# Convenience name for target.
hel-0.2.2: libhel/CMakeFiles/hel-0.2.2.dir/rule

# fast build rule for target.
hel-0.2.2/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/build

# Convenience name for target.
libhel/CMakeFiles/mat44.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/mat44.dir/rule

# Convenience name for target.
mat44: libhel/CMakeFiles/mat44.dir/rule

# fast build rule for target.
mat44/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/mat44.dir/build.make libhel/CMakeFiles/mat44.dir/build

# Convenience name for target.
libhel/CMakeFiles/ray.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/ray.dir/rule

# Convenience name for target.
ray: libhel/CMakeFiles/ray.dir/rule

# fast build rule for target.
ray/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/ray.dir/build.make libhel/CMakeFiles/ray.dir/build

# Convenience name for target.
libhel/CMakeFiles/win32.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/win32.dir/rule

# Convenience name for target.
win32: libhel/CMakeFiles/win32.dir/rule

# fast build rule for target.
win32/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/win32.dir/build.make libhel/CMakeFiles/win32.dir/build

# target to build an object file
hel/BoundingVolume.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.o

# target to preprocess a source file
hel/BoundingVolume.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.i

# target to generate assembly for a file
hel/BoundingVolume.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.s

# target to build an object file
hel/CollisionObject.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.o

# target to preprocess a source file
hel/CollisionObject.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.i

# target to generate assembly for a file
hel/CollisionObject.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.s

# target to build an object file
hel/Mass.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.o

# target to preprocess a source file
hel/Mass.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.i

# target to generate assembly for a file
hel/Mass.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.s

# target to build an object file
hel/Mat44.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.o

# target to preprocess a source file
hel/Mat44.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.i

# target to generate assembly for a file
hel/Mat44.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.s

# target to build an object file
hel/Octree.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.o

# target to preprocess a source file
hel/Octree.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.i

# target to generate assembly for a file
hel/Octree.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.s

# target to build an object file
hel/Quat.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.o

# target to preprocess a source file
hel/Quat.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.i

# target to generate assembly for a file
hel/Quat.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.s

# target to build an object file
hel/Ray.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.o

# target to preprocess a source file
hel/Ray.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.i

# target to generate assembly for a file
hel/Ray.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.s

# target to build an object file
hel/Simulation.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.o

# target to preprocess a source file
hel/Simulation.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.i

# target to generate assembly for a file
hel/Simulation.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.s

# target to build an object file
hel/Spring.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.o

# target to preprocess a source file
hel/Spring.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.i

# target to generate assembly for a file
hel/Spring.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.s

# target to build an object file
hel/ViewVolume.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.o

# target to preprocess a source file
hel/ViewVolume.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.i

# target to generate assembly for a file
hel/ViewVolume.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.s

# target to build an object file
hel/math.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.o

# target to preprocess a source file
hel/math.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.i

# target to generate assembly for a file
hel/math.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.s

# target to build an object file
hel/unit/mat44.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/mat44.dir/build.make libhel/CMakeFiles/mat44.dir/hel/unit/mat44.o

# target to preprocess a source file
hel/unit/mat44.i:
