=== debian/changelog ===
libhel (0.2.2.4) feisty; urgency=low

  * Generated release

 -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500
